; RegCompEx Test
*compiled.REGEXP
Debug RegCompEx(@*compiled, "(<TITLE>|<title>)(.*)(</TITLE>|</title>)")

; RegErrorEx Test
error$ = Space(80)
PeekS(RegErrorEx(#REGEXP_ESPACE, *compiled, error$, 80))
Debug error$

; RegNSubExpEx Test
Debug "Number of SubExpressions: " + Str(RegNSubExpEx(*compiled))

; RegExecEx Test
Test$ = "<HTML><HEAD><TITLE>PureBasic : visual basic compiler, easy & optimized basic programming language, basic, compiler</TITLE></HEAD><BODY></BODY></HTML>"
Dim test.REGMATCH(RegNSubExpEx(*compiled))  

Debug RegExecEx(*compiled, Test$, RegNSubExpEx(*compiled), @test(0))

Debug PeekS(@Test$ + test(0)\subexp_begin) ; Test REGMATCH offset
Debug PeekS(@Test$ + test(1)\subexp_begin)
Debug PeekS(@Test$ + test(2)\subexp_begin)
Debug PeekS(@Test$ + test(3)\subexp_begin)
Debug PeekS(@Test$ + test(4)\subexp_begin)

; RegSubEx Test
*buffer = AllocateMemory(200) 
Debug RegSubEx(*compiled, Test$, "\2", @*buffer)
Debug "The Buffer contains: " + PeekS(*buffer)

; RegFreeEx Test
RegFreeEx(*compiled)

Delay(40000) 
; ExecutableFormat=Windows
; EOF